/* $Id: SearchAction.java 125 2011-03-09 09:49:51Z ohura $ */
package smart_gs.image_search;

import java.util.ArrayList;
import java.util.List;

import smart_gs.image_search.logical.SearchResult;
import smart_gs.logical.Spread;

public abstract class SearchAction {
	
	protected List<Spread> spreadsToSearch;
	protected List<SearchResult> results;
	
	protected SearchAction(List<Spread> spreadsToSearch){
		this.spreadsToSearch = spreadsToSearch;
		this.results = new ArrayList<SearchResult>();
	}
	
	public abstract void execute();
	
	public List<SearchResult> getResults(){
		return this.results;
	}
}
